#
# spec file for package rubygem-ttfunk
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-ttfunk
Version:        1.8.0
Release:        1.1
%define mod_name ttfunk
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            http://prawnpdf.org/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        TrueType Font Metrics Parser
License:        GPL-2.0-only OR Ruby OR GPL-3.0-only

%description
Font Metrics Parser for the Prawn PDF generator.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md COPYING LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- ### Fixed
  * Corrupted CFF index data
  there was a subtle bug in cff index implementation that resulted in
  a data corruption. in certain circumstances some items didn't get
  properly encoded. this happened when items were not previously accessed.
  this resulted, for instance, in missing glyphs. but only sometimes
  because indexes might've still contain data that shouldn't've been
  there. in combination with incorrect encoding (see further) this
  resulted in some glyphs still being rendered, sometimes even correctly.
  along with the fix a rather large api change landed. this resulted in
  quite a big diff.
  Alexander Mankuta
  * Incorrect CFF encoding in subsets
  TTFunk used to reuse encoding from the original font. This mapping was
  incorrect for subset fonts which used not just a subset of glyphs but
  also a different encoding.
  A separate issue was that some fonts have empty CFF encoding. This
  incorrect mapping resulted in encoding that mapped all codes to glyph 0.
  This had impact on Prawn in particular. PDF spec explicitly says that
  CFF encoding is not to be used in OpenType fonts. `cmap` table should
  directly index charstrings in the CFF table. Despite this PDF renderers
  still use CFF encoding to retrieve glyphs. So TTFunk has to discard the
  original CFF encoding and supply its own.
  Alexander Mankuta
  * `maxp` table
  The table is now correctly parsed and encoded for both TrueType and CFF-based
  OpenType fonts.
  Cameron Dutro, Alexander Mankuta
  * Files are closed sooner
  Files were garbage collected but could stay open for longer than necessary.
  Jon Burgess
  * Long date time in the `head` table
  The `created` and `modified` fields we parsed and encoded with incorrect
  endiannes. Additionally helper methods were added to convert these fields to
  and from Ruby `Time`.
  Jens Kutilek, Peter Goldstein
  * Removed execution permissions on non-executable files
  Keenan Brock
  [#]## Changes
  * Minimum Ruby is 2.7
  Alexander Mankuta
  * Performance improvement in subsets construction
  Thomas Leitner
  * CI improvememnts
  Peter Goldstein
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.7.0
  see installed CHANGELOG.md
  [#]# 1.7.0
  [#]## Changes
  * Allow gem installation on Ruby 3.0
    Pavel Lobashov
  * Allow TTC files to be read from IO object
    Tom de Grunt
* Fri Sep  4 2020 Petr Vorel <pvorel@suse.cz>
- Fix License (Ruby or GPL-2.0 or GPL-3.0)
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.6.2.1
  see installed CHANGELOG.md
  [#]# [1.6.2.1]
  [#]## Fixed
  * 1.6.2 gem conains local debuging code. This is the same commit but without
    local changes.
    Alexander Mankuta
  [#]# [1.6.2]
  [#]## Fixed
  * Reverted to pre 1.6 maxp table serialization.
    Cameron Dutro
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.6.1
  see installed CHANGELOG.md
  [#]# [1.6.1]
  [#]## Fixed
  * Fixed maxp table encoding
    Cameron Dutro
  [#]# [1.6.0]
  [#]## Added
  * OpenType fonts support
  * Added support for CFF-flavored fonts (also known as CID-keyed or OpenType fonts)
  * Added support for the VORG and DSIG tables
  * Improved charset encoding support
  * Improved font metrics calculations in the head, maxp, hhea, hmtx, and os/2 tables
  * Subsetted fonts verified with Font-Validator, fontlint, and Mac OS's Font Book
    Cameron Dutro
  * Ruby 2.6 support
    Alexander Mankuta
  * JRuby 9.2 support
    Alexander Mankuta
  [#]## Removed
  * Dropped Ruby 2.1 & 2.2 support
    Alexander Mankuta
  * Removed JRuby 9.1 support
    Alexander Mankuta
  [#]## Fixed
  * Sort name table entries when generating subset font
    Matjaz Gregoric
  * Map the 0xFFFF char code to glyph 0 in cmap format 4
    Matjaz Gregoric
  * Order tables by tag when generating font subset
    Matjaz Gregoric
  * Fix typo in TTFunk::Subset::Unicode#includes?
    Matjaz Gregoric
  * Fixe calculation of search_range for font subsets
    Matjaz Gregoric
  * Fixed instance variable @offset and @length not initialized
    Katsuya HIDAKA
  * Code style fixes
    Katsuya HIDAKA, Matjaz Gregoric, Alexander Mankuta
* Wed Apr 12 2017 coolo@suse.com
- updated to version 1.5.1
  see installed CHANGELOG.md
  [#]# [1.5.1]
  [#]## Fixed
  * loca table corruption during subsetting. The loca table serialization code
    didn't properly detect suitable table format.
  * Fixed checksum calculation for empty tables.
* Tue Feb 14 2017 coolo@suse.com
- updated to version 1.5.0
  CHANGELOG removed upstream
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.4.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Jul 28 2014 coolo@suse.com
- updated to version 1.2.0
* Fri Mar 21 2014 coolo@suse.com
- updated to version 1.1.1
* Thu Feb  6 2014 coolo@suse.com
- updated to version 1.1.0
* Mon Jul 30 2012 coolo@suse.com
- initial package
